%global libosmium_version 2.11.1

Name:           pyosmium
Version:        2.11.0
Release:        2%{?dist}
Summary:        Python bindings for libosmium

License:        BSD
URL:            http://osmcode.org/pyosmium/
Source0:        https://github.com/osmcode/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-sphinx
BuildRequires:  python2-nose python3-nose
BuildRequires:  boost-devel boost-python3-devel
BuildRequires:  libosmium-devel >= %{libosmium_version}
BuildRequires:  libosmium-static >= %{libosmium_version}

%description
Provides Python bindings for the Libosmium C++ library, a library
for working with OpenStreetMap data in a fast and flexible manner.


%package -n python2-osmium
Summary:        %{summary}
%{?python_provide:%python_provide python2-osmium}

%description -n python2-osmium
Provides Python bindings for the Libosmium C++ library, a library
for working with OpenStreetMap data in a fast and flexible manner.


%package -n python3-osmium
Summary:        %{summary}
%{?python_provide:%python_provide python3-osmium}

%description -n python3-osmium
Provides Python bindings for the Libosmium C++ library, a library
for working with OpenStreetMap data in a fast and flexible manner.


%prep
%autosetup


%build
%py2_build
%py3_build
cd doc
make html


%install
%py2_install
%py3_install


%check
cd test
%{__python2} run_tests.py
%{__python3} run_tests.py


%files -n python2-osmium
%doc README.md README.rst CHANGELOG.md doc/_build/html
%license LICENSE.TXT
%{python2_sitearch}/*


%files -n python3-osmium
%doc README.md README.rst CHANGELOG.md doc/_build/html
%license LICENSE.TXT
%{python3_sitearch}/*


%changelog
* Tue Mar  7 2017 Tom Hughes <tom@compton.nu> - 2.11.0-2
- Rebuild against libosmium 2.11.1

* Fri Mar  3 2017 Tom Hughes <tom@compton.nu> - 2.11.0-1
- Initial build of 2.11.0
